# TG4 today snapshot · CC0-1.0
schema: tg4.snapshot.v1
license: CC0-1.0
source: https://4ddraw.com/api/today.yaml
generated_at: 2026-05-17T03:08:36.097Z
date: 16 May 2026
operators:
  - slug: grand-dragon
    name: Grand Dragon
    first: 9504
    second: 4308
    third: 7314
    special: [4029, 0773, 2154, 6520, 9287, 2375, 0896, 3603, 6515, 2750]
    consolation: [9215, 4218, 9987, 1926, 1784, 7638, 4173, 1884, 4258, 6926]
  - slug: magnum
    name: Magnum 4D
    first: 2112
    second: 5193
    third: 2950
    special: [6039, 8905, 7600, 1194, 9846, 5721, 0496, 3357, 7431, 3652]
    consolation: [7227, 8494, 6733, 6890, 1416, 9333, 3164, 9208, 6186, 0718]
  - slug: damacai
    name: Da Ma Cai 1+3D
    first: 2976
    second: 0996
    third: 3011
    special: [4482, 8178, 7757, 4365, 5415, 3435, 5265, 0651, 1424, 0176]
    consolation: [0596, 8627, 4805, 9951, 0429, 0608, 1383, 8878, 7504, 8534]
  - slug: toto
    name: Toto 4D
    first: 9353
    second: 3021
    third: 5176
    special: [4712, 2367, 9380, 1578, 3326, 9388, 5201, 5721, 3957, 4475]
    consolation: [0834, 7063, 5410, 3862, 0899, 0283, 8271, 5564, 2314, 4166]
  - slug: sabah88
    name: Sabah 88 4D
    first: 0398
    second: 1424
    third: 2440
    special: [4215, 4481, 3721, 2452, 3300, 7130, 8184, 5183, 4937, 2151]
    consolation: [7852, 5424, 9823, 2254, 9074, 2110, 3029, 3535, 1978, 0934]
  - slug: cashsweep
    name: Special CashSweep
    first: 2295
    second: 6601
    third: 9801
    special: [6471, 2326, 7485, 6166, 2376, 3935, 6934, 0959, 4825, 0262]
    consolation: [7523, 4651, 0700, 0236, 1237, 9466, 6249, 9794, 7406, 3770]
  - slug: sandakan
    name: Sandakan 4D
    first: 8534
    second: 3082
    third: 3905
    special: [2104, 3706, 9637, 8539, 6743, 1804, 1620, 7253, 1821, 1352]
    consolation: [6600, 2666, 0744, 7749, 5538, 8869, 3343, 5182, 2543, 1877]
  - slug: singapore
    name: Singapore 4D
    first: 2735
    second: 5857
    third: 5182
    special: [2692, 2805, 5208, 5291, 6670, 7746, 8571, 8886, 9635, 9893]
    consolation: [2274, 2834, 3287, 3678, 4908, 5814, 5862, 7216, 9071, 9608]
  - slug: perdana
    name: Perdana 4D
    first: 0013
    second: 2969
    third: 0830
    special: [1147, 7913, 5451, 0852, 8569, 6142, 1968, 7338, 4872, 7639]
    consolation: [7148, 2180, 1973, 4742, 5635, 9402, 4785, 4385, 8958, 0262]
  - slug: 9lotto
    name: 9 Lotto
    first: 8593
    second: 1072
    third: 0569
    special: [5650, 0990, 0115, 3437, 7474, 0541, 3246, 3084, 6187, 5196]
    consolation: [0406, 9149, 6409, 1071, 3709, 8791, 6545, 1966, 1980, 3801]
  - slug: lucky-hari-hari
    name: Lucky Hari Hari 4D
    first: 6758
    second: 9634
    third: 8280
    special: [0442, 5238, 3657, 8050, 2612, 4509, 1309, 7033, 6472, 2849]
    consolation: [4978, 1512, 4877, 4158, 1639, 2896, 1908, 3812, 9964, 3790]
